# Interface RemotePeerMXBean

All Known Implementing Classes:
  `RemotePeerBean`

public interface RemotePeerMXBean
A proxy for a remote quorum peer.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClientAddress()`
`String`
`getElectionAddress()`
`String`
`getLearnerType()`
`String`
`getName()`
`String`
`getQuorumAddress()`
`boolean`
`isLeader()`

## Method Details

### getName

String getName()

Returns:
  name of the peer

### getQuorumAddress

String getQuorumAddress()

Returns:
  IP address of the quorum peer

### getElectionAddress

String getElectionAddress()

Returns:
  the election address

### getClientAddress

String getClientAddress()

Returns:
  the client address

### getLearnerType

String getLearnerType()

Returns:
  the learner type

### isLeader

boolean isLeader()

Returns:
  true if the peer is the current leader